<?php

function get_rcdd($enti)
{
     if(empty($enti)){return;}
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     $sql_rcdd='select * from enti0 where enti_codigo like "'.$enti.'" and ifnull(enti_rcdd,"")!="" ';
     $res_rcdd=msql_query($sql_rcdd,$link_data);
     $rcdd=msql_result($res_rcdd,0,'enti_rcdd');
     $zsub=msql_result($res_rcdd,0,'enti_zsub');
     
     if(empty($rcdd))
     {
          $sql_rcdd='select * from zsub0 where zsub_codigo like "'.$zsub.'%" and ifnull(zsub_rcdd,"")!="" ';
          $res_rcdd=msql_query($sql_rcdd,$link_data);
          $rcdd=msql_result($res_rcdd,0,'zsub_rcdd');
     }
     
     if(empty($rcdd))
     {
          $sql_rcdd='select * from enti0 where enti_codigo like "'.substr($enti,0,10).'%" and ifnull(enti_rcdd,"")!="" ';
          $res_rcdd=msql_query($sql_rcdd,$link_data);
          $rcdd=msql_result($res_rcdd,0,'enti_rcdd');
          $zsub=msql_result($res_rcdd,0,'enti_zsub');
     }
     
     if(empty($rcdd))
     {
          $sql_rcdd='select * from zsub0 where zsub_codigo like "'.$zsub.'%" and ifnull(zsub_rcdd,"")!="" ';
          $res_rcdd=msql_query($sql_rcdd,$link_data);
          $rcdd=msql_result($res_rcdd,0,'zsub_rcdd');
     }

     if(empty($rcdd))
     {
          $sql_rcdd='select * from vtas1 where enti like "'.substr($enti,0,10).'%" and ifnull(rcdd,"")!="" order by idnum1 desc limit 1';
          $res_rcdd=msql_query($sql_rcdd,$link_data);
          $rcdd=msql_result($res_rcdd,0,'rcdd');
     }
     
     return $rcdd;
     
}



function get_dtr1()
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     $fecha_dtr='2010-01-01';
     
     $sql_dtr1='select * from cont1 where ifnull(status,"")not in("O","X") and docu like "DTR%" and fecha<curdate() order by fecha desc limit 1';
     $res_dtr1=msql_query($sql_dtr1,$link_data);
     
     if(msql_num_rows($res_dtr1)!=0)
     {$fecha_dtr=msql_result($res_dtr1,0,'fecha');}
     
     return $fecha_dtr;
     
}

function get_lsuco($penti,$pitem='',$pfecha='')
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     if(empty($pfecha)){$pfecha=date('Y-m-d');}
     
     $empr0=data_maes('empr',$empr);
     $lsuco=$empr0['empr_suco'];
     
     if($empr0['empr_codigo']=='pec1'){$lsuco='20';}
     
	$sql_suco='select * from comp1 ';
	$sql_suco.='where ifnull(status,"")not in("O","X") ';
	$sql_suco.='and docu like "FP%" ';
	$sql_suco.='and ifnull(suco,0)*1>0 ';
	$sql_suco.='and enti like "'.substr($penti,0,10).'%" ';
	$sql_suco.='order by fecha desc, numero desc ';
	$sql_suco.='limit 2';
	$res_suco=msql_query($sql_suco,$link_data);
	if(msql_num_rows($res_suco)!=0){$lsuco=msql_result($res_suco,0,'suco');}
//      $numrows=msql_num_rows($res_suco);
// 	if($numrows!=0){$lsuco=msql_result($res_suco,$numrows,'suco');}
	return $lsuco;
}

function get_lfpag($penti,$pitem='',$pfecha='')
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($pfecha)){$pfecha=date('Y-m-d');}
     
     
     $empr0=data_maes('empr',$empr);
     $lfpag=$empr0['empr_fpag'];
     
	$sql_fpag='select * from comp1 ';
	$sql_fpag.='where ifnull(status,"")not in("O","X") ';
	$sql_fpag.='and docu like "FP%" ';
	$sql_fpag.='and ifnull(fpag,0)*1>0 ';
	$sql_fpag.='and enti like "'.substr($penti,0,10).'%" ';
	$sql_fpag.='order by fecha desc, numero desc ';
	$sql_fpag.='limit 1';
	$res_fpag=msql_query($sql_fpag,$link_data);
	if(msql_num_rows($res_fpag)!=0)
	{$lfpag=msql_result($res_fpag,0,'fpag');}
	return $lfpag;
}

function get_litem($penti,$pitemce,$pitemce2='',$pfecha='')
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     if(empty($pfecha)){$pfecha=date('Y-m-d');}

     $empr0=data_maes('empr',$empr);
     $litem="9999999999";

     $pitemce=str_replace('"','',$pitemce);
     $pitemce=trim($pitemce);
     if(empty($pfecha)){$pfecha=date('Y-m-d');}
     
     if(strlen($pitemce)<3){$xvalce2=1;}
     if(strlen($pitemce)<3){$pitemce=$pitemce2;}
     if(strlen($pitemce)<3){return $litem;}

     $sql_item0='select * from comp1 left join comp2 on idnum1=idnum2 ';
     $sql_item0.='where ifnull(status,"") not in("O","X") ';
     $sql_item0.='and docu like "FP%" ';
     $sql_item0.='and ifnull(item,"")!= "" ';
     $sql_item0.='and item != "100005" ';
     $sql_item0.='and item not like "9999%" ';
     if($empr0['empr_codigo']=='hfre')
     {$sql_item0.='and itemce = "'.$pitemce.'" ';}

	$sql_item=$sql_item0;
	$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
	$sql_item.='and itemce = "'.$pitemce.'" ';
	$sql_item.='order by fecha desc, numero desc ';
	$sql_item.='limit 1';
     
     if($xvalce2==1){$sql_item=str_replace('itemce =','itemce2 =',$sql_item);}
	$res_item=msql_query($sql_item,$link_data);
     
	if(msql_num_rows($res_item)!=0)
	{$litem=msql_result($res_item,0,'item');}
	else
	{
		$sql_item=$sql_item0;
		$sql_item.='and itemce = "'.$pitemce.'" ';
		$sql_item.='order by fecha desc, numero desc ';
		$sql_item.='limit 1';
          
          if($xvalce2==1){$sql_item=str_replace('itemce =','itemce2 =',$sql_item);}
		$res_item=msql_query($sql_item,$link_data);
          
		if(msql_num_rows($res_item)!=0)
		{$litem=msql_result($res_item,0,'item');}
		else
		{
//                no habilitar porque itemce debe ser encontrado sino 999999
//                $sql_item=$sql_item0;
//                $sql_item.='and enti like "'.substr($penti,0,10).'%" ';
//                $sql_item.='order by fecha desc, numero desc ';
//                $res_item=msql_query($sql_item,$link_data);
//                if(msql_num_rows($res_item)!=0)
//                {$litem=msql_result($res_item,0,'item');}
		}
	}
	return $litem;
}

function get_lctas($penti,$pitem,$pfecha='')
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($pfecha)){$pfecha=date('Y-m-d');}

     $empr0=data_maes('empr',$empr);
     
     $pitem=str_replace('"','',$pitem);
     $pitem=trim($pitem);
     $penti=trim($penti);
  
	$lctas="";
	$sql_item0='select * from comp1 left join comp2 on idnum1=idnum2 ';
	$sql_item0.='where ifnull(status,"")not in("O","X") ';
	$sql_item0.='and docu like "FP%" ';
	$sql_item0.='and ifnull(ctas,0)*1>0 ';
// 	$sql_item0.='and ctas not like "-%" ';

	$sql_item=$sql_item0;
	$sql_item.='and item not like "9999%" ';
	$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
	$sql_item.='and item like "'.$pitem.'%" ';
	$sql_item.='order by fecha desc, numero desc ';
	$sql_item.='limit 1 ';
	$res_item=msql_query($sql_item,$link_data);
     
	if(msql_num_rows($res_item)!=0)
	{$lctas=msql_result($res_item,0,'ctas');}
	else
	{
		$sql_item=$sql_item0;
  	     $sql_item.='and item not like "9999%" ';
		$sql_item.='and item like "'.$pitem.'%" ';
		$sql_item.='order by fecha desc, numero desc ';
		$sql_item.='limit 1 ';
		$res_item=msql_query($sql_item,$link_data);
		if(msql_num_rows($res_item)!=0)
		{$lctas=msql_result($res_item,0,'ctas');}
		else
		{
			$sql_item=$sql_item0;
  	          $sql_item.='and item not like "9999%" ';
	 		$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
			$sql_item.='order by fecha desc, numero desc ';
			$sql_item.='limit 1 ';
			$res_item=msql_query($sql_item,$link_data);
			if(msql_num_rows($res_item)!=0)
			{$lctas=msql_result($res_item,0,'ctas');}
               else
               {
                    $sql_item=$sql_item0;
                    $sql_item.='and enti like "'.substr($penti,0,10).'%" ';
                    $sql_item.='order by fecha desc, numero desc ';
                    $sql_item.='limit 1 ';
                    $res_item=msql_query($sql_item,$link_data);
                    if(msql_num_rows($res_item)!=0)
                    {$lctas=msql_result($res_item,0,'ctas');}
               }	
		}	
	}

	return $lctas;
}	

function get_lcair($penti,$pitem,$pfecha='')
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($pfecha)){$pfecha=date('Y-m-d');}

     $empr0=data_maes('empr',$empr);
     $item0=data_maes('item',$pitem);
     
     $lcair=$item0['item_cair'];
     if(!empty($lcair)){return $lcair;}
  
	$sql_item0='select * from comp1 left join comp2 on idnum1=idnum2 ';
	$sql_item0.='where ifnull(status,"")not in("O","X") ';
	$sql_item0.='and docu like "FP%" ';
	$sql_item0.='and ifnull(cair,"") != "" ';
	$sql_item0.='and cair not like "332" ';
	$sql_item0.='and cair not like "-%" ';
// 	$sql_item0.='and item not like "9999%" ';

	$sql_item=$sql_item0;
     $sql_item.='and item not like "9999%" ';
	$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
	$sql_item.='and item like "'.$pitem.'%" ';
	$sql_item.='order by fecha desc, numero desc ';
	$sql_item.='limit 1';
	$res_item=msql_query($sql_item,$link_data);
//   explain_sql($sql_item);
	if(msql_num_rows($res_item)!=0)
	{$lcair=msql_result($res_item,0,'cair');}
	else
	{
		$sql_item=$sql_item0;
  	     $sql_item.='and item not like "9999%" ';
		$sql_item.='and item like "'.$pitem.'%" ';
		$sql_item.='order by fecha desc, numero desc ';
		$sql_item.='limit 1';
		$res_item=msql_query($sql_item,$link_data);
		if(msql_num_rows($res_item)!=0)
		{$lcair=msql_result($res_item,0,'cair');}
		else
		{
			$sql_item=$sql_item0;
    	          $sql_item.='and item not like "9999%" ';
			$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
			$sql_item.='order by fecha desc, numero desc ';
			$sql_item.='limit 1 ';
			$res_item=msql_query($sql_item,$link_data);
			if(msql_num_rows($res_item)!=0)
			{$lcair=msql_result($res_item,0,'cair');}
               else
               {
                    $sql_item=$sql_item0;
                    $sql_item.='and enti like "'.substr($penti,0,10).'%" ';
                    $sql_item.='order by fecha desc, numero desc ';
                    $sql_item.='limit 1 ';
                    $res_item=msql_query($sql_item,$link_data);
                    if(msql_num_rows($res_item)!=0)
                    {$lcair=msql_result($res_item,0,'cair');}
               }
		}	
	}
     
     if(empty($lcair)){$lcair='332';}
     
	return $lcair;
}

function get_lrrta($penti,$pitem,$pcair='',$pfecha='')
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($pfecha)){$pfecha=date('Y-m-d');}

     $empr0=data_maes('empr',$empr);
     $cair0=data_maes('cair',$pcair);
//      $item0=data_maes('item',$pitem);
  
	$lrrta=0;
	$sql_item0 ='select * from comp1 left join comp2 on idnum1=idnum2 ';
	$sql_item0.='where ifnull(status,"")not in("O","X") ';
	$sql_item0.='and docu like "FP%" ';

	$sql_item = $sql_item0;
	$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
	$sql_item.='and item like "'.$pitem.'" ';
	$sql_item.='and cair = "'.$pcair.'" ';
	$sql_item.='and prrta!=0 ';
	$sql_item.='order by fecha desc, numero desc ';
	$sql_item.='limit 1';
	$res_item=msql_query($sql_item,$link_data);
  
  
	if(msql_num_rows($res_item)!=0)
	{$lrrta=msql_result($res_item,0,'prrta');}
	else
	{
		$sql_item = $sql_item0;
		$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
		$sql_item.='and cair = "'.$pcair.'" ';
  	     $sql_item.='and prrta!=0 ';
		$sql_item.='order by fecha desc, numero desc ';
		$sql_item.='limit 1';
		$res_item=msql_query($sql_item,$link_data);
		if(msql_num_rows($res_item)!=0)
		{$lrrta=msql_result($res_item,0,'prrta');}
		else
		{
               $sql_item = $sql_item0;
               $sql_item.='and enti like "'.substr($penti,0,10).'%" ';
               $sql_item.='and cair = "'.$pcair.'" ';
               $sql_item.='and prrta!=0 ';
               $sql_item.='order by fecha desc, numero desc ';
               $sql_item.='limit 1';
               $res_item=msql_query($sql_item,$link_data);
               if(msql_num_rows($res_item)!=0)
               {$lrrta=msql_result($res_item,0,'prrta');}
               else
			{
                    $sql_item = $sql_item0;
                    $sql_item.='and item like "'.$pitem.'" ';
                    $sql_item.='and cair = "'.$pcair.'" ';
                    $sql_item.='and prrta!=0 ';
                    $sql_item.='order by fecha desc, numero desc ';
                    $sql_item.='limit 1';
                    $res_item=msql_query($sql_item,$link_data);
                    if(msql_num_rows($res_item)!=0)
                    {$lrrta=msql_result($res_item,0,'prrta');}
                    else
                    {
                         $sql_item = $sql_item0;
                         $sql_item.='and cair like "'.$pcair.'" ';
                         $sql_item.='and prrta!=0 ';
                         $sql_item.='order by fecha desc, numero desc ';
                         $sql_item.='limit 1';
                         $res_item=msql_query($sql_item,$link_data);
                         if(msql_num_rows($res_item)!=0)
                         {$lrrta=msql_result($res_item,0,'prrta');}
                         else
                         {$lrrta=$cair0['cair_porc'];}  
                    }	
			}	
		}	
	}
     if($lrrta==0){$lrrta=$cair0['cair_porc'];}
  
	return $lrrta;
}

function get_lriva($penti='',$pitem='',$pfecha='')
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($pfecha)){$pfecha=date('Y-m-d');}

     $empr0=data_maes('empr',$empr);
     $cair0=data_maes('cair',$pcair);
     
	$lriva="";
	$sql_item0='select * from comp1 left join comp2 on idnum1=idnum2 ';
	$sql_item0.='where ifnull(status,"")not in("O","X") ';
	$sql_item0.='and docu like "FP%" ';
	$sql_item0.='and iva>0 ';

	$sql_item = $sql_item0;
	$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
	$sql_item.='and item like "'.$pitem.'" ';
	$sql_item.='order by fecha desc, numero desc ';
	$sql_item.='limit 1';
	$res_item=msql_query($sql_item,$link_data);
	if(msql_num_rows($res_item)!=0)
	{$lriva=msql_result($res_item,0,'priva');}
	else
	{
		$sql_item = $sql_item0;
		$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
		$sql_item.='order by fecha desc, numero desc ';
		$sql_item.='limit 1';
		$res_item=msql_query($sql_item,$link_data);
		if(msql_num_rows($res_item)!=0)
		{$lriva=msql_result($res_item,0,'priva');}
		else
		{
			$sql_item = $sql_item0;
			$sql_item.='and item like "'.$pitem.'" ';
			$sql_item.='order by fecha desc, numero desc ';
			$sql_item.='limit 1';
			$res_item=msql_query($sql_item,$link_data);
			if(msql_num_rows($res_item)!=0)
			{$lriva=msql_result($res_item,0,'priva');}
		}	
	}
  
  if($lriva==0)
  {
      $sql_rete='select * from retp12 where enti like "'.substr($penti,0,10).'%" and puni>=30 and (cair*1)<300  order by fecha desc limit 10';
      $res_rete=msql_query($sql_rete,$link_data);
      if(msql_num_rows($res_rete)!=0){$lriva=msql_result($res_rete,0,'puni');}
  }
  
	return $lriva;
}

function get_lzeus($penti)
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     $empr0=data_maes('empr',$empr);
//      $lzeus=$empr0['empr_zeus'];
     $lzeus=1;
     
     
	$sql_zeus ='select * from retc1 ';
	$sql_zeus.='where ifnull(status,"")not in("O","X") ';
	$sql_zeus.='and docu like "RC%" ';
// 	$sql_zeus.='and ifnull(zeus,0)>0 ';
	$sql_zeus.='and enti like "'.substr($penti,0,10).'%" ';
	$sql_zeus.='order by fecha desc, numero desc ';
	$sql_zeus.='limit 1';
	$res_zeus=msql_query($sql_zeus,$link_data);
	if(msql_num_rows($res_zeus)!=0)
	{$lzeus=msql_result($res_zeus,0,'zeus');}
	return $lzeus;
}


function get_duxpre($item,$detalle)
{
//      if(empty($detalle)){return 0;}
//      $detalle=strtoupper($detalle);
//      if(mb_stristr($detalle,'20LT'))
}


function get_luxpre($penti,$pitem,$pitemce,$pitemce2='',$pfecha='')
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     if(empty($pfecha)){$pfecha=date('Y-m-d');}

     $empr0=data_maes('empr',$empr);
     $luxpre=0;

     $pitemce=str_replace('"','',$pitemce);
     $pitemce=trim($pitemce);
     if(empty($pfecha)){$pfecha=date('Y-m-d');}
     
     if(strlen($pitemce)<3){$xvalce2=1;}
     if(strlen($pitemce)<3){$pitemce=$pitemce2;}
     if(strlen($pitemce)<3){return $luxpre;}

     $sql_item0='select * from comp1 left join comp2 on idnum1=idnum2 ';
     $sql_item0.='where ifnull(status,"") not in("O","X") ';
     $sql_item0.='and fecha<"'.$pfecha.'" ';
     $sql_item0.='and docu like "FP%" ';
     $sql_item0.='and ifnull(uxpre,0)!=0 ';
     $sql_item0.='and item not like "9999%" ';

	$sql_item=$sql_item0;
	$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
	$sql_item.='and itemce = "'.$pitemce.'" ';
	$sql_item.='order by fecha desc, numero desc ';
	$sql_item.='limit 1';
     
//      echo '<br>*/*/*'.$xvalce2;
     
     if($xvalce2==1){$sql_item=str_replace('itemce =','itemce2 =',$sql_item);}
	$res_item=msql_query($sql_item,$link_data);
     
     
	if(msql_num_rows($res_item)!=0)
	{$luxpre=msql_result($res_item,0,'uxpre');}
	else
	{
		$sql_item=$sql_item0;
		$sql_item.='and itemce = "'.$pitemce.'" ';
		$sql_item.='order by fecha desc, numero desc ';
		$sql_item.='limit 1';
          
          if($xvalce2==1){$sql_item=str_replace('itemce =','itemce2 =',$sql_item);}
		$res_item=msql_query($sql_item,$link_data);
          
		if(msql_num_rows($res_item)!=0)
		{$luxpre=msql_result($res_item,0,'uxpre');}
		else
		{
//                no habilitar porque itemce debe ser encontrado sino 999999
//                $sql_item=$sql_item0;
//                $sql_item.='and enti like "'.substr($penti,0,10).'%" ';
//                $sql_item.='order by fecha desc, numero desc ';
//                $res_item=msql_query($sql_item,$link_data);
//                if(msql_num_rows($res_item)!=0)
//                {$litem=msql_result($res_item,0,'item');}
		}
	}
     
//      echo '<br>*/*/*/'.$pitemce.'---'.$luxpre;
	return $luxpre;
}

function get_lfacon($penti,$pitem,$pitemce,$pitemce2='',$pfecha='')
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     if(empty($pfecha)){$pfecha=date('Y-m-d');}

     $empr0=data_maes('empr',$empr);
     $lfacon=0;

     $pitemce=str_replace('"','',$pitemce);
     $pitemce=trim($pitemce);
     if(empty($pfecha)){$pfecha=date('Y-m-d');}
     
     if(strlen($pitemce)<3){$xvalce2=1;}
     if(strlen($pitemce)<3){$pitemce=$pitemce2;}
     if(strlen($pitemce)<3){return $lfacon;}

     $sql_item0='select * from comp1 left join comp2 on idnum1=idnum2 ';
     $sql_item0.='where ifnull(status,"") not in("O","X") ';
     $sql_item0.='and fecha<"'.$pfecha.'" ';
     $sql_item0.='and docu like "FP%" ';
//      $sql_item0.='and ifnull(item,"")!= "" ';
     $sql_item0.='and ifnull(facon,0)!=0 ';
//      $sql_item0.='and item != "100005" ';
     $sql_item0.='and item not like "9999%" ';
//      if($empr0['empr_codigo']=='hfre')
     {$sql_item0.='and itemce = "'.$pitemce.'" ';}

	$sql_item=$sql_item0;
	$sql_item.='and enti like "'.substr($penti,0,10).'%" ';
	$sql_item.='and itemce = "'.$pitemce.'" ';
	$sql_item.='order by fecha desc, numero desc ';
	$sql_item.='limit 1';
     
     if($xvalce2==1){$sql_item=str_replace('itemce =','itemce2 =',$sql_item);}
	$res_item=msql_query($sql_item,$link_data);
     
	if(msql_num_rows($res_item)!=0)
	{$lfacon=msql_result($res_item,0,'facon');}
	else
	{
		$sql_item=$sql_item0;
		$sql_item.='and itemce = "'.$pitemce.'" ';
		$sql_item.='order by fecha desc, numero desc ';
		$sql_item.='limit 1';
          
          if($xvalce2==1){$sql_item=str_replace('itemce =','itemce2 =',$sql_item);}
		$res_item=msql_query($sql_item,$link_data);
          
		if(msql_num_rows($res_item)!=0)
		{$lfacon=msql_result($res_item,0,'facon');}
		else
		{
//                no habilitar porque itemce debe ser encontrado sino 999999
//                $sql_item=$sql_item0;
//                $sql_item.='and enti like "'.substr($penti,0,10).'%" ';
//                $sql_item.='order by fecha desc, numero desc ';
//                $res_item=msql_query($sql_item,$link_data);
//                if(msql_num_rows($res_item)!=0)
//                {$litem=msql_result($res_item,0,'item');}
		}
	}
	return $lfacon;
}

function get_emailce($enti)
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}


//      $empr0=data_maes('empr',$empr);
     $enti0=data_maes('enti',$enti);
  
     $emailce=$enti0['enti_emailce'];
     
     
     if(strlen($emailce)<5)
     {$emailce=$enti0['enti_email'];}
     
     if(strlen($emailce)<5)
     {$enti0=data_maes('enti',$cfg_ruc); $emailce=$enti0['enti_email'];}
     
     if(strlen($emailce)<5)
     {$emailce=$enti0['enti_email'];}

     $emailce=strtolower($emailce);
     return $emailce;  
}



function get_costloca($impor)
{
     if(empty($impor)){return;}
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
          $modu='comp';
          $info='codeta';
          include('sele_info.php');
          $sql_impo ='select * from ('.$sql_info.')as impo ';
          $sql_impo.='where 1=1  ';
          $sql_impo.='and docu not in ("FP15","FP16") ';
          $res_impo=msql_query($sql_impo,$link_data);
     
          $cost_impo=array();
          $cost_impo['local']=0;
          $cost_impo['seguro']=0;
          $cost_impo['flete']=0;
     
//      echo '== '.$sql_impo;
          
          while($aso_impo=msql_fetch_assoc($res_impo))
          {
               $sql_concep='select * from comp1 where idnum1="'.$aso_impo['idnum1_hide'].'"';
               $res_concep=msql_query($sql_concep,$link_data);
               $xconcep=msql_result($res_concep,0,'concepto');
               
               if(mb_stristr2($xconcep.$aso_impo['concepto'].$aso_impo['detalle'].$aso_impo['det_pro'],'SEGURO'))
               {$cost_impo['seguro']+=($aso_impo['subt']-$aso_impo['dcto']);}
               elseif(mb_stristr2($xconcep.$aso_impo['concepto'].$aso_impo['detalle'].$aso_impo['det_pro'],'FLETE'))
               {$cost_impo['flete']+=($aso_impo['subt']-$aso_impo['dcto']);}
               elseif(1==1)
               {$cost_impo['local']+=($aso_impo['subt']-$aso_impo['dcto']);}
          }
//                var_dump2($cost_impo);
     
          return $cost_impo;     
}




?>